=== debian/changelog ===
ros-eloquent-mrt-cmake-modules (1.0.8-1bionic) bionic; urgency=high

  * Fix finding boost python on versions with old cmake but new boost
  * Contributors: Fabian Poggenhans

 -- Kevin Rösch <kevin.roesch@kit.edu>  Wed, 30 Sep 2020 00:00:00 -0000

ros-eloquent-mrt-cmake-modules (1.0.7-1bionic) bionic; urgency=high

  * Fix versioning of sofiles
  * Ensure unittests use the right gtest include dir
  * Contributors: Fabian Poggenhans

 -- Kevin Rösch <kevin.roesch@kit.edu>  Wed, 30 Sep 2020 00:00:00 -0000

ros-eloquent-mrt-cmake-modules (1.0.6-1bionic) bionic; urgency=high

  * Fix boost python building for python3
  * Contributors: Fabian Poggenhans

 -- Kevin Rösch <kevin.roesch@kit.edu>  Wed, 30 Sep 2020 00:00:00 -0000

ros-eloquent-mrt-cmake-modules (1.0.5-1bionic) bionic; urgency=high

  * Fix build for ROS2, gtest should no longer be installed in ROS2 mode
  * Improve python nosetest info
  * Update boost-python depend message
  * Fix python module setup
  * Packages can now have both a python module and a python api
  * Add qtbase5-dev key
  * Contributors: Fabian Poggenhans, Kevin Rösch, Maximilian Naumann

 -- Kevin Rösch <kevin.roesch@kit.edu>  Tue, 29 Sep 2020 00:00:00 -0000

ros-eloquent-mrt-cmake-modules (1.0.4-1bionic) bionic; urgency=high

  * Deleted deprecated configuration files
  * Fix cuda host compiler used for cuda 11
  * Fix __init__.py template for python3
  * Fix target handling for ros2
  * Fix build failures on ROS1
  * Fix the conan support
  * Add a dependency on ros_environment to ensure ROS_VERSION is set
  * Default to building shared libraries
  * Add QtScript to the list of qt components
  * Change license to BSD
  * Remove traces of GPL-licensed libgps
  * Remove unnecessary includes of cuda files
  * Update tensorflow c findscript to set new tensorflow include paths
  * Add cuda support for node and nodelet.
  * Remove usage of ast package for evaulating package.xml conditions
  * Fix crash if eval_coverage.py runs with python3
  * Ensure that coverage is also generated for cpp code called from plain rostests
  * Contributors: Fabian Poggenhans, Ilia Baltashov, Sven Richter

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Wed, 12 Aug 2020 00:00:00 -0000

ros-eloquent-mrt-cmake-modules (1.0.3-1bionic) bionic; urgency=high

  * Replace deprecated platform.distro call with distro module
  * Raise required CMake version to 3.0.2 to suppress warning with Noetic
  * Remove boost signals component that is no longer part of boost
  * Fixed c++14 test path include.
  * Fix installation of python api files
  * Update README.md
  * Reformat with new version of cmake-format
  * Add lcov as dependency again
  * Fix FindBoostPython.cmake for cmake below 3.11 and python3
  * Fix multiple include of MrtPCL
  * Contributors: Christian-Eike Framing, Fabian Poggenhans, Johannes Beck, Johannes Janosovits, Moritz Cremer

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 25 May 2020 00:00:00 -0000

ros-eloquent-mrt-cmake-modules (1.0.2-1bionic) bionic; urgency=high

  * Fix PCL findscript, disable precompiling
  * added jsoncpp
  * Make sure packages search for mrt_cmake_modules in their package config
  * Fix resolution of packages in underlaying workspaces
  * Mention rosdoc.yaml in package.xml
  * Contributors: Fabian Poggenhans, Johannes Beck, Johannes Janosovits

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 24 Mar 2020 00:00:00 -0000

ros-eloquent-mrt-cmake-modules (1.0.1-1bionic) bionic; urgency=high

  * Update maintainer
  * Update generate_dependency_file to search CMAKE_PREFIX_PATH for packages instead of ROS_PACKAGE_PATH
  * Update package xml to contain ROS urls and use format 3 to specify python version specific deps
  * Add a rosdoc file so that ros can build the cmake api
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Wed, 11 Mar 2020 00:00:00 -0000

ros-eloquent-mrt-cmake-modules (1.0.0-1bionic) bionic; urgency=high

  * Initial release for ROS
  * Contributors: Andre-Marcel Hellmund, Claudio Bandera, Fabian Poggenhans, Johannes Beck, Johannes Graeter, Niels Ole Salscheider, Piotr Orzechowski

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 24 Feb 2020 00:00:00 -0000
